## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/Ketok4321/%{name}

%global rdnsappid xyz.ketok.Speedtest

Name:           speedtest
Version:        1.3.0
Release:        %autorelease
Summary:        A graphical librespeed client written using gtk4 + libadwaita

%forgemeta

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch

BuildRequires:  blueprint-compiler >= 0.10.0
BuildRequires:  desktop-file-utils
BuildRequires:  git-core
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.62.0
BuildRequires:  python3-devel

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(aiohttp)

BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       hicolor-icon-theme
Requires:       libadwaita
Requires:       python3-gobject
Requires:       python3dist(aiohttp)

%description
%{summary}


%prep
%forgeautosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Sun Jan 28 2024 Packit <hello@packit.dev> - 1.3.0-1
- [packit] 1.3.0 upstream release
- Resolves rhbz#2260713

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.1-2
- build: Add aiohttp dep (rh#2257535)

* Mon Dec 25 2023 Packit <hello@packit.dev> - 1.2.1-1
- [packit] 1.2.1 upstream release
- Resolves rhbz#2255785

* Fri Nov 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
